UpdateWebhook
curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": true,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/webhooks"
payload = {
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": True,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks"
payload := strings.NewReader("{\n \"webhook\": {\n \"webhookId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"name\": \"<string>\",\n \"eventType\": \"WEBHOOK_EVENT_TYPE_UNSPECIFIED\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"httpHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"isArchived\": true,\n \"payload\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": true,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}WebhookService
UpdateWebhook
Update select fields of an existing webhook.
PATCH
/
api
/
v1
/
webhooks
UpdateWebhook
curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": true,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/webhooks"
payload = {
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": True,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/webhooks"
payload := strings.NewReader("{\n \"webhook\": {\n \"webhookId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"name\": \"<string>\",\n \"eventType\": \"WEBHOOK_EVENT_TYPE_UNSPECIFIED\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"httpHeaders\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"isArchived\": true,\n \"payload\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"isArchived": true,
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to WebhookService_UpdateWebhook to update a webhook.
The request for a call to WebhookService_UpdateWebhook to update a webhook.
Response
A successful response.
The response of a call to WebhookService_UpdateWebhook. To archive a webhook, specify archived_date
in the update mask as well as a non-null value for archived_date in the webhook object.
To unarchive a webhook, specify archived_date in the update mask and a null value for
archived_date in the webhook object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I